콘텐츠로 건너뛰기

OpenRouter [Vision]

통합

모델 id openrouter/router/vision
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/openrouter/router/vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "model": "openai/gpt-6-sol"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

실행당 최대 $14.34 실제 사용량에 따라 과금되며 나머지는 환불됩니다 이 페이지에서 실행

API 키 받기
OpenRouter LLM

캡션, OCR 또는 시각적 질의응답을 위해 이미지나 PDF가 포함된 프롬프트를 선택 가능한 멀티모달 LLM으로 전달

OpenRouter · 텍스트

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지에 적용된 프롬프트입니다.

•필수

실행할 모델을 식별하는 이름입니다.

고급 system_prompt · images · temperature · max_tokens · reasoning · enable_web_search · pdf_urls · web_search_options

모델에 지침이나 컨텍스트를 제공하는 시스템 프롬프트입니다.

image_urls
파일을 끌어다 놓거나

처리할 이미지를 식별하는 URL입니다.

기본값 1

응답 변동성 제어입니다. 0이면 입력이 같을 때 항상 동일한 답변을 보장합니다. 값을 높이면 예측 가능하고 일반적인 답변에서 벗어나 더 다양하고 흔하지 않은 답변으로 이동합니다.

프롬프트 길이를 뺀 컨텍스트 길이 이하의 값으로 응답 생성 토큰 수를 제한합니다. 생성은 지정된 상한을 초과할 수 없습니다.

PDF만 포함하는 목록으로 문서 위치를 제공합니다: .pdf 파일을 가리키는 http(s) URL 또는 data:application/pdf;base64,... 형식의 데이터 URI입니다. 모델이 PDF를 기본적으로 처리할 수 없을 때 OpenRouter의 문서 파서가 이를 처리합니다.

엔진 선택, 결과 상한, 도메인 필터링을 포함하는 웹 검색 구성입니다. enable_web_search가 true일 때만 사용됩니다.

POST /run/openrouter/router/vision?wait=20 견적 → $14.34
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/openrouter/router/vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "model": "openai/gpt-6-sol"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

OpenRouter [Vision] 정보

`prompt`와 `model`에 지정한 비전 지원 언어 모델 이름을 받아 텍스트 답변을 반환합니다. 이미지는 `image_urls`로, 문서는 PDF 파일만 허용하는 `pdf_urls`로 첨부합니다. `system_prompt`, 0부터 2까지의 `temperature`, `max_tokens`, 선택적 추론 출력과 웹 검색도 지원합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_urls선택 사항 images
유형url[] · image
처리할 이미지를 식별하는 URL입니다.
pdf_urls선택 사항
유형string[]
PDF만 포함하는 목록으로 문서 위치를 제공합니다: .pdf 파일을 가리키는 http(s) URL 또는 data:application/pdf;base64,... 형식의 데이터 URI입니다. 모델이 PDF를 기본적으로 처리할 수 없을 때 OpenRouter의 문서 파서가 이를 처리합니다.
prompt필수
유형string
이미지에 적용된 프롬프트입니다.
system_prompt선택 사항
유형string | null
모델에 지침이나 컨텍스트를 제공하는 시스템 프롬프트입니다.
model필수
유형string
실행할 모델을 식별하는 이름입니다.
reasoning선택 사항
유형boolean
기본값false
최종 응답에 추론을 포함할지 여부입니다.
temperature선택 사항
유형number
기본값1
0 – 2
응답 변동성 제어입니다. 0이면 입력이 같을 때 항상 동일한 답변을 보장합니다. 값을 높이면 예측 가능하고 일반적인 답변에서 벗어나 더 다양하고 흔하지 않은 답변으로 이동합니다.
max_tokens선택 사항
유형integer | null
≥ 1
프롬프트 길이를 뺀 컨텍스트 길이 이하의 값으로 응답 생성 토큰 수를 제한합니다. 생성은 지정된 상한을 초과할 수 없습니다.
web_search_options선택 사항
유형object
엔진 선택, 결과 상한, 도메인 필터링을 포함하는 웹 검색 구성입니다. enable_web_search가 true일 때만 사용됩니다.
web_search_options.engine선택 사항
유형enum
기본값auto
autonativeexa
검색 엔진 선택입니다. 'auto'와 'native'는 네이티브 검색을 사용할 수 없으면 Exa로 대체됩니다. 'auto'는 사용 가능한 공급자 네이티브 검색을 사용하고, 'native'는 OpenAI, Anthropic, Google, xAI 또는 Perplexity의 기본 검색을 우선합니다. Exa 검색 API만 사용하려면 'exa'를 선택하세요.
web_search_options.max_results선택 사항
유형integer | null
1 – 25
각 Exa 검색 호출의 결과 상한이며 1~25이고 기본값은 5입니다. 네이티브 공급자 검색은 이 설정을 무시합니다.
web_search_options.max_uses선택 사항
유형integer | null
≥ 1
요청별 검색 상한입니다. 네이티브 검색에서는 Anthropic에 전달되지만 다른 네이티브 공급자는 무시합니다. 상한을 초과한 호출은 오류 결과를 받고 실행되지 않습니다.
web_search_options.max_total_results선택 사항
유형integer | null
≥ 1
한 요청 내 모든 검색의 통합 결과 제한입니다.
web_search_options.search_context_size선택 사항
유형enum
lowmediumhigh
Exa의 결과별 검색량입니다. 두 설정을 모두 제공하면 max_characters가 우선하며 네이티브 공급자 검색에서는 무시됩니다. low는 5K자, medium은 15K자, high는 30K자를 선택합니다. 지정하지 않으면 Exa가 결과당 약 2–4K자로 양을 조정합니다.
web_search_options.max_characters선택 사항
유형integer | null
1 – 100,000
Exa의 결과별 콘텐츠 문자 상한입니다. 두 설정을 모두 제공하면 search_context_size를 재정의합니다. 1~100,000자 사이에서 정확한 최대값을 지정하며 네이티브 공급자 검색은 이 설정을 무시합니다.
web_search_options.allowed_domains선택 사항
유형string[]
Exa와 대부분의 네이티브 검색 공급자에서 사용하는 도메인 허용 목록입니다. 결과를 나열된 도메인으로 제한합니다. Google 네이티브 검색은 지원하지 않습니다.
web_search_options.excluded_domains선택 사항
유형string[]
Exa 검색 및 호환되는 네이티브 공급자에서 사용하는 도메인 제외 목록입니다. Google 및 OpenAI 네이티브 검색에는 적용할 수 없습니다. 나열된 도메인에서 발생한 결과는 제외됩니다.
web_search_options.user_location선택 사항
유형object
네이티브 검색 결과에 지리적 편향을 주는 대략적인 사용자 위치입니다. Exa는 이 정보를 사용하지 않습니다.
web_search_options.user_location.type선택 사항
유형string
기본값approximate
위치 분류입니다. 지원되는 값은 'approximate'뿐입니다.
web_search_options.user_location.city선택 사항
유형string | null
도시 이름입니다. 예: 'San Francisco'.
web_search_options.user_location.region선택 사항
유형string | null
주 또는 지역 이름입니다. 예: 'California'.
web_search_options.user_location.country선택 사항
유형string | null
두 글자로 표현한 국가 식별자입니다. 예: 'US'.
web_search_options.user_location.timezone선택 사항
유형string | null
IANA 표기법의 시간대 식별자입니다. 예: 'America/Los_Angeles'.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openrouter/router/vision",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14340,
    "usd": "14.34",
    "charged": 14340,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "model": "openai/gpt-6-sol"
  },
  "output": {
    "output": "A close-up of a tiger's face focusing on its bright orange iris and the area around its eye, with white fur eyebrows and a contrasting black and rich orange striped fur pattern. The word \"FLUX\" is overlaid in bold, white, brush-stroke styled text across the tiger's face.",
    "usage": {
      "prompt_tokens": 1,
      "completion_tokens": 1,
      "total_tokens": 0,
      "cost": 1.0,
      "prompt_tokens_details": {
        "cached_tokens": 0,
        "cache_write_tokens": 0
      }
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
output
string모델이 생성한 결과입니다.
usage
object {prompt_tokens, completion_tokens, total_tokens, cost, prompt_tokens_details} | null토큰 사용량 세부 정보입니다.

더 많은 모델: LLM

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/openrouter/router/vision.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt